// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store'
import * as util from './common/util.js'
import {
  Button,
  Toast,
  Dialog,
  Field,
  Form,
  Col,
  Row,
  NavBar, RadioGroup, Radio, Cell, CellGroup, Grid, GridItem, Image as VanImage, Circle, Icon, List, Divider, PullRefresh, Picker, Popup, Tab, Tabs, Calendar, DatetimePicker,Search
} from 'vant'



// 引入全局css
import './assets/css/index.css'
import 'font-awesome/css/font-awesome.min.css'
//引入vue-easytable
//import "vue-easytable/libs/themes-base/index.css" // import style
import VueEasytable from  'vue-easytable' // import library

// 引入全部样式
//import '!less-loader!vant/lib/index.less';

// axios需要使用prototype将axios挂载到原型上 ，$后面是自己另起的名称，以后就可以使用该名称
// Vue.prototype.$axios = Axios
Vue.config.productionTip = false;
Vue.prototype.$util = util;
Vue.use(Button)
  .use(Toast)
  .use(Dialog)
  .use(Field)
  .use(Form)
  .use(Col)
  .use(Row)
  .use(NavBar)
  .use(RadioGroup)
  .use(Radio)
  .use(Cell)
  .use(CellGroup)
  .use(Grid)
  .use(GridItem)
  .use(VanImage)
  .use(Circle)
  .use(Icon)
  .use(List)
  .use(Divider)
  .use(PullRefresh)
  .use(Picker)
  .use(Popup)
  .use(Tab)
  .use(Tabs)
  .use(Calendar)
  .use(DatetimePicker)
  .use(Search)
  .use(VueEasytable)   //vue easytable
  

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
